org.eclipse.viatra.query.patternlanguage.emf

## Class AbstractEMFPatternLanguageRuntimeModule

- java.lang.Object
- - org.eclipse.xtext.service.AbstractGenericModule
  - - org.eclipse.xtext.service.DefaultRuntimeModule
    - - org.eclipse.xtext.common.types.DefaultCommonTypesRuntimeModule
      - - org.eclipse.xtext.xbase.DefaultXbaseRuntimeModule
        - - org.eclipse.viatra.query.patternlanguage.emf.AbstractEMFPatternLanguageRuntimeModule

- All Implemented Interfaces:
    com.google.inject.Module
  Direct Known Subclasses:
    EMFPatternLanguageRuntimeModule

      public abstract class AbstractEMFPatternLanguageRuntimeModule
      extends org.eclipse.xtext.xbase.DefaultXbaseRuntimeModule

  Manual modifications go to {org.eclipse.viatra.query.patternlanguage.emf.EMFPatternLanguageRuntimeModule}

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.util.Properties` | `properties`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractEMFPatternLanguageRuntimeModule()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.ClassLoader` | `bindClassLoaderToInstance()`
    `java.lang.Class<? extends org.eclipse.xtext.xbase.typesystem.internal.DefaultBatchTypeResolver>` | `bindDefaultBatchTypeResolver()`
    `java.lang.Class<? extends org.eclipse.xtext.xbase.typesystem.internal.DefaultReentrantTypeResolver>` | `bindDefaultReentrantTypeResolver()`
    `java.lang.Class<? extends EMFPatternLanguageJavaValidator>` | `bindEMFPatternLanguageJavaValidator()`
    `java.lang.Class<? extends org.eclipse.xtext.xbase.validation.FeatureNameValidator>` | `bindFeatureNameValidator()`
    `java.lang.Class<? extends org.eclipse.xtext.resource.containers.IAllContainersState.Provider>` | `bindIAllContainersState$Provider()`
    `java.lang.Class<? extends org.eclipse.xtext.parser.antlr.IAntlrTokenFileProvider>` | `bindIAntlrTokenFileProvider()`
    `java.lang.Class<? extends org.eclipse.xtext.resource.IContainer.Manager>` | `bindIContainer$Manager()`
    `java.lang.Class<? extends org.eclipse.xtext.formatting.IFormatter>` | `bindIFormatter()`
    `java.lang.Class<? extends org.eclipse.xtext.scoping.IGlobalScopeProvider>` | `bindIGlobalScopeProvider()`
    `java.lang.Class<? extends org.eclipse.xtext.IGrammarAccess>` | `bindIGrammarAccess()`
    `java.lang.Class<? extends org.eclipse.xtext.resource.ILocationInFileProvider>` | `bindILocationInFileProvider()`
    `java.lang.Class<? extends org.eclipse.xtext.parser.IParser>` | `bindIParser()`
    `java.lang.Class<? extends org.eclipse.xtext.naming.IQualifiedNameProvider>` | `bindIQualifiedNameProvider()`
    `java.lang.Class<? extends org.eclipse.xtext.validation.IResourceValidator>` | `bindIResourceValidator()`
    `java.lang.Class<? extends org.eclipse.xtext.serializer.sequencer.ISemanticSequencer>` | `bindISemanticSequencer()`
    `java.lang.Class<? extends org.eclipse.xtext.serializer.ISerializer>` | `bindISerializer()`
    `java.lang.Class<? extends org.eclipse.xtext.serializer.sequencer.ISyntacticSequencer>` | `bindISyntacticSequencer()`
    `java.lang.Class<? extends org.eclipse.xtext.parser.antlr.ITokenDefProvider>` | `bindITokenDefProvider()`
    `java.lang.Class<? extends org.eclipse.xtext.parser.ITokenToStringConverter>` | `bindITokenToStringConverter()`
    `java.lang.Class<? extends org.eclipse.xtext.parser.antlr.IUnorderedGroupHelper>` | `bindIUnorderedGroupHelper()`
    `java.lang.Class<? extends org.eclipse.xtext.parser.antlr.Lexer>` | `bindLexer()`
    `void` | `configure(com.google.inject.Binder binder)`
    `void` | `configureFileExtensions(com.google.inject.Binder binder)`
    `void` | `configureIgnoreCaseLinking(com.google.inject.Binder binder)`
    `void` | `configureIResourceDescriptions(com.google.inject.Binder binder)`
    `void` | `configureIResourceDescriptionsPersisted(com.google.inject.Binder binder)`
    `void` | `configureLanguageName(com.google.inject.Binder binder)`
    `void` | `configureRuntimeLexer(com.google.inject.Binder binder)`
    `com.google.inject.Provider<InternalEMFPatternLanguageLexer>` | `provideInternalEMFPatternLanguageLexer()`

    - ### Methods inherited from class org.eclipse.xtext.xbase.DefaultXbaseRuntimeModule

      `bindAbstractFileSystemAccess2, bindCancelableDiagnostician, bindConfigurableIssueCodesProvider, bindEObjectAtOffsetHelper, bindIDefaultResourceDescriptionStrategy, bindIdentifiableSimpleNameProvider, bindIDerivedStateComputer, bindIEvaluationContext, bindIExpressionInterpreter, bindIGenerator, bindILinker, bindILinkingDiagnosticMessageProvider, bindIPartialParserHelper, bindIQualifiedNameConverter, bindIResourceDescription$Manager, bindIScopeProvider, bindIStratumBreakpointSupport, bindIValueConverterService, bindJvmTypeReferencesValidator, bindLineSeparatorHarmonizer, bindNodeModelBuilder, bindProjectConfigProvider, bindSeverityConverter, bindStaticImplicitMethodsFeatureForTypeProvider$ExtensionClassNameProvider, bindUniqueClassNameValidator, bindXtextResource, bindXtypeFactoryToInstance, configureIScopeProviderDelegate, configureITransientValueService, configureLinkingIScopeProvider, configureSerializerIScopeProvider`

    - ### Methods inherited from class org.eclipse.xtext.common.types.DefaultCommonTypesRuntimeModule

      `bindAbstractTypeScopeProvider, bindIJvmTypeProvider$Factory, bindTypesFactoryToInstance`

    - ### Methods inherited from class org.eclipse.xtext.service.DefaultRuntimeModule

      `bindConcreteSyntaxValidator, bindDiagnostician, bindEPackageRegistry, bindEValidatorRegistry, bindIAstFactory, bindIFragmentProvider, bindILinkingService, bindINodeModelFormatter, bindIResourceFactory, bindIResourceServiceProvider$Registry, bindITransientValueService, bindResourceSet, bindRuntimeEncodingProvider, bindXtextResourceSet, configureGenericSemanticSequencer, configureIResourceDescriptionsBuilderScope, configureIResourceDescriptionsLiveScope, configureRuntimeEncodingProvider, configureUseIndexFragmentsForLazyLinking, provideIEncodingProvider`

    - ### Methods inherited from class org.eclipse.xtext.service.AbstractGenericModule

      `bindProperties, getBindings, tryBindProperties`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### properties

          protected java.util.Properties properties

  - ### Constructor Detail

    - #### AbstractEMFPatternLanguageRuntimeModule

          public AbstractEMFPatternLanguageRuntimeModule()

  - ### Method Detail

    - #### configure

          public void configure(com.google.inject.Binder binder)

      Specified by:
        `configure` in interface `com.google.inject.Module`
      Overrides:
        `configure` in class `org.eclipse.xtext.service.DefaultRuntimeModule`

    - #### configureLanguageName

          public void configureLanguageName(com.google.inject.Binder binder)

    - #### configureFileExtensions

          public void configureFileExtensions(com.google.inject.Binder binder)

    - #### bindClassLoaderToInstance

          public java.lang.ClassLoader bindClassLoaderToInstance()

      Overrides:
        `bindClassLoaderToInstance` in class `org.eclipse.xtext.common.types.DefaultCommonTypesRuntimeModule`

    - #### bindIGrammarAccess

          public java.lang.Class<? extends org.eclipse.xtext.IGrammarAccess> bindIGrammarAccess()

    - #### bindISemanticSequencer

          public java.lang.Class<? extends org.eclipse.xtext.serializer.sequencer.ISemanticSequencer> bindISemanticSequencer()

      Overrides:
        `bindISemanticSequencer` in class `org.eclipse.xtext.service.DefaultRuntimeModule`

    - #### bindISyntacticSequencer

          public java.lang.Class<? extends org.eclipse.xtext.serializer.sequencer.ISyntacticSequencer> bindISyntacticSequencer()

    - #### bindISerializer

          public java.lang.Class<? extends org.eclipse.xtext.serializer.ISerializer> bindISerializer()

      Overrides:
        `bindISerializer` in class `org.eclipse.xtext.service.DefaultRuntimeModule`

    - #### bindIParser

          public java.lang.Class<? extends org.eclipse.xtext.parser.IParser> bindIParser()

    - #### bindITokenToStringConverter

          public java.lang.Class<? extends org.eclipse.xtext.parser.ITokenToStringConverter> bindITokenToStringConverter()

      Overrides:
        `bindITokenToStringConverter` in class `org.eclipse.xtext.service.DefaultRuntimeModule`

    - #### bindIAntlrTokenFileProvider

          public java.lang.Class<? extends org.eclipse.xtext.parser.antlr.IAntlrTokenFileProvider> bindIAntlrTokenFileProvider()

    - #### bindLexer

          public java.lang.Class<? extends org.eclipse.xtext.parser.antlr.Lexer> bindLexer()

    - #### provideInternalEMFPatternLanguageLexer

          public com.google.inject.Provider<InternalEMFPatternLanguageLexer> provideInternalEMFPatternLanguageLexer()

    - #### configureRuntimeLexer

          public void configureRuntimeLexer(com.google.inject.Binder binder)

    - #### bindITokenDefProvider

          public java.lang.Class<? extends org.eclipse.xtext.parser.antlr.ITokenDefProvider> bindITokenDefProvider()

      Overrides:
        `bindITokenDefProvider` in class `org.eclipse.xtext.service.DefaultRuntimeModule`

    - #### bindIUnorderedGroupHelper

          public java.lang.Class<? extends org.eclipse.xtext.parser.antlr.IUnorderedGroupHelper> bindIUnorderedGroupHelper()

    - #### bindEMFPatternLanguageJavaValidator

          public java.lang.Class<? extends EMFPatternLanguageJavaValidator> bindEMFPatternLanguageJavaValidator()

    - #### configureIgnoreCaseLinking

          public void configureIgnoreCaseLinking(com.google.inject.Binder binder)

    - #### bindIContainer$Manager

          public java.lang.Class<? extends org.eclipse.xtext.resource.IContainer.Manager> bindIContainer$Manager()

      Overrides:
        `bindIContainer$Manager` in class `org.eclipse.xtext.service.DefaultRuntimeModule`

    - #### bindIAllContainersState$Provider

          public java.lang.Class<? extends org.eclipse.xtext.resource.containers.IAllContainersState.Provider> bindIAllContainersState$Provider()

    - #### configureIResourceDescriptions

          public void configureIResourceDescriptions(com.google.inject.Binder binder)

      Overrides:
        `configureIResourceDescriptions` in class `org.eclipse.xtext.service.DefaultRuntimeModule`

    - #### configureIResourceDescriptionsPersisted

          public void configureIResourceDescriptionsPersisted(com.google.inject.Binder binder)

    - #### bindIFormatter

          public java.lang.Class<? extends org.eclipse.xtext.formatting.IFormatter> bindIFormatter()

      Overrides:
        `bindIFormatter` in class `org.eclipse.xtext.service.DefaultRuntimeModule`

    - #### bindIQualifiedNameProvider

          public java.lang.Class<? extends org.eclipse.xtext.naming.IQualifiedNameProvider> bindIQualifiedNameProvider()

      Overrides:
        `bindIQualifiedNameProvider` in class `org.eclipse.xtext.xbase.DefaultXbaseRuntimeModule`

    - #### bindILocationInFileProvider

          public java.lang.Class<? extends org.eclipse.xtext.resource.ILocationInFileProvider> bindILocationInFileProvider()

      Overrides:
        `bindILocationInFileProvider` in class `org.eclipse.xtext.service.DefaultRuntimeModule`

    - #### bindIGlobalScopeProvider

          public java.lang.Class<? extends org.eclipse.xtext.scoping.IGlobalScopeProvider> bindIGlobalScopeProvider()

      Overrides:
        `bindIGlobalScopeProvider` in class `org.eclipse.xtext.common.types.DefaultCommonTypesRuntimeModule`

    - #### bindFeatureNameValidator

          public java.lang.Class<? extends org.eclipse.xtext.xbase.validation.FeatureNameValidator> bindFeatureNameValidator()

    - #### bindDefaultBatchTypeResolver

          public java.lang.Class<? extends org.eclipse.xtext.xbase.typesystem.internal.DefaultBatchTypeResolver> bindDefaultBatchTypeResolver()

    - #### bindDefaultReentrantTypeResolver

          public java.lang.Class<? extends org.eclipse.xtext.xbase.typesystem.internal.DefaultReentrantTypeResolver> bindDefaultReentrantTypeResolver()

    - #### bindIResourceValidator

          public java.lang.Class<? extends org.eclipse.xtext.validation.IResourceValidator> bindIResourceValidator()